//
// Created by 阳坤 on 2022/3/2.
//


#ifndef BYTESFLOW_OPENCV_MEDIA_IMAGE_FINGERPRINT_H
#define BYTESFLOW_OPENCV_MEDIA_IMAGE_FINGERPRINT_H


extern "C" {
#include "libswscale/swscale.h"
#include <libavutil/frame.h>
#include <libavutil/imgutils.h>
}

#include "opencv2/core/core.hpp"
#include "opencv2/highgui/highgui.hpp"
#include "opencv2/imgproc/imgproc.hpp"

using namespace cv;


cv::Mat avframeToCvmat(const AVFrame * frame);
AVFrame* cvmatToAvframe(cv::Mat* image, AVFrame * frame);


const char *fingerprintFromFFAVFrame(AVFrame *frame, int *pInt);

float fingerprint_compare(char * arr,char * arr2,int len);

char *fingerprintFromImagePath(const char *path);

#endif //BYTESFLOW_OPENCV_MEDIA_IMAGE_FINGERPRINT_H
